<?php

return [
/*
* Provider .
*/
'provider'  => 'icosettings',

/*
* Package .
*/
'package'   => 'ico_settings',

/*
* Modules .
*/
'modules'   => ['ico_setting'],

'ico_setting' => [
                    'Name'          => 'IcoSetting',
                    'name'          => 'ico_setting',
                    'table'         => 'ico_settings',
                    'model'         => 'Icosettings\IcoSettings\Models\IcoSetting',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', '2018',  'id',  'ico_enabled',  'btc_transaction_fees',  'eth_transaction_fees',  'contract_address',  'contract_abi',  'eth_address',  'contract_token_decimal',  'contract_live',  'site_token_name',  'site_token_short_name',  'contract_total_token',  'eth_api_key',  'gas_price',  'created_at',  'created_at)',  '1,',  ''0x620aeb38271c181cf3049fcd11b6c04d4d688277',',  ''ASJD',  ''ASJD',',  ''2018-09-10',  '11)',  'AUTO_INCREMENT=2;'],
                    'listfields'        => ['id', '2018',  'id',  'ico_enabled',  'btc_transaction_fees',  'eth_transaction_fees',  'contract_address',  'contract_abi',  'eth_address',  'contract_token_decimal',  'contract_live',  'site_token_name',  'site_token_short_name',  'contract_total_token',  'eth_api_key',  'gas_price',  'created_at',  'created_at)',  '1,',  ''0x620aeb38271c181cf3049fcd11b6c04d4d688277',',  ''ASJD',  ''ASJD',',  ''2018-09-10',  '11)',  'AUTO_INCREMENT=2;'],
                    'translatable'      => ['2018',  'id',  'ico_enabled',  'btc_transaction_fees',  'eth_transaction_fees',  'contract_address',  'contract_abi',  'eth_address',  'contract_token_decimal',  'contract_live',  'site_token_name',  'site_token_short_name',  'contract_total_token',  'eth_api_key',  'gas_price',  'created_at',  'created_at)',  '1,',  ''0x620aeb38271c181cf3049fcd11b6c04d4d688277',',  ''ASJD',  ''ASJD',',  ''2018-09-10',  '11)',  'AUTO_INCREMENT=2;'],

                    'upload-folder'     => '/uploads/ico_settings/ico_setting',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
];
