This is a Laravel 5 package that provides ico_settings management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `icosettings/ico_settings`.

    "icosettings/ico_settings": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider::class,

```

And also add it to alias

```php
'IcoSettings'  => Icosettings\IcoSettings\Facades\IcoSettings::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Icosettings\IcoSettings\Providers\IcoSettingsServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


