@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('ico_settings::ico_setting.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('ico_settings::ico_setting.names') !!}</small>
@stop

@section('title')
{!! trans('ico_settings::ico_setting.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="http://lavalite.org/admin"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('ico_settings::ico_setting.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='entry-ico_setting'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('ico_settings::ico_setting.label.2018')!!}</th>
                        <th>{!! trans('ico_settings::ico_setting.label.ico_enabled')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.btc_transaction_fees')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.eth_transaction_fees')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.contract_address')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.contract_abi')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.eth_address')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.contract_token_decimal')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.contract_live')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.site_token_name')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.site_token_short_name')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.contract_total_token')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.eth_api_key')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.gas_price')!!}</th>
                        <th>{!! trans('ico_settings::ico_setting.label.created_at)')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.1,')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.&#039;0x620aeb38271c181cf3049fcd11b6c04d4d688277&#039;,')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.&#039;ASJD')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.&#039;ASJD&#039;,')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.&#039;2018-09-10')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.11)')!!}</th>
                    <th>{!! trans('ico_settings::ico_setting.label.AUTO_INCREMENT=2;')!!}</th>
    </thead>
</table>
@stop
@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    $('#entry-ico_setting').load('{!!URL::to('admin/ico_settings/ico_setting/0')!!}');
    oTable = $('#main-list').dataTable( {
        "ajax": '{!! URL::to('/admin/ico_settings/ico_setting') !!}',
        "columns": [
            {data :'2018'},
                        {data :'ico_enabled'},
                    {data :'btc_transaction_fees'},
                    {data :'eth_transaction_fees'},
                    {data :'contract_address'},
                    {data :'contract_abi'},
                    {data :'eth_address'},
                    {data :'contract_token_decimal'},
                    {data :'contract_live'},
                    {data :'site_token_name'},
                    {data :'site_token_short_name'},
                    {data :'contract_total_token'},
                    {data :'eth_api_key'},
                    {data :'gas_price'},
                        {data :'created_at)'},
                    {data :'1,'},
                    {data :''0x620aeb38271c181cf3049fcd11b6c04d4d688277','},
                    {data :''ASJD'},
                    {data :''ASJD','},
                    {data :''2018-09-10'},
                    {data :'11)'},
                    {data :'AUTO_INCREMENT=2;'},
        ],
        "ico_settingLength": 50
    });

    $('#main-list tbody').on( 'click', 'tr', function () {
        $(this).toggleClass("selected").siblings(".selected").removeClass("selected");

        var d = $('#main-list').DataTable().row( this ).data();

        $('#entry-ico_setting').load('{!!URL::to('admin/ico_settings/ico_setting')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop